Page MenuHomePhabricator

Create Wikipedia Western Armenian
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Western Armenian.

IMPORTANT
Most content for this project is to be moved from Armenian Wikipedia (hywiki). There is some content on Incubator at Wp/hyw. Merger rules as follows:

  1. If any page exists in both places, the version on hywiki takes priority. (Exception: the page on hywiki is clearly a stub, but the page in Incubator is clearly a fully developed page.)
  2. Same is true for infrastructure pages (templates, modules, project namespace, help namespace, etc.)
  3. Same is true for categories in general, but category contents should be merged.

Thank you.

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 24 2018, 4:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Meno25 added a subscriber: Meno25.Dec 26 2018, 10:31 AM

Change 481335 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/dns@master] langlist: Add hyw.wikipedia

https://gerrit.wikimedia.org/r/481335

Change 481336 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/services/restbase/deploy@master] vars: Add new hyw.wikipedia.org

https://gerrit.wikimedia.org/r/481336

Change 481336 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] vars: Add new hyw.wikipedia.org

https://gerrit.wikimedia.org/r/481336

Change 481336 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] vars: Add new hyw.wikipedia.org
https://gerrit.wikimedia.org/r/481336

@mobrovac There is hy.wikipedia.org twice https://gerrit.wikimedia.org/r/#/c/mediawiki/services/restbase/deploy/+/481336/2/scap/vars.yaml

As I see in this request, here is hyw.wikipedia.org requested. Should this be fixed?

Change 481339 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/services/restbase/deploy@master] Fix domain for hyw.wikipedia.org

https://gerrit.wikimedia.org/r/481339

Change 481339 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Fix domain for hyw.wikipedia.org

https://gerrit.wikimedia.org/r/481339

Change 481339 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Fix domain for hyw.wikipedia.org
https://gerrit.wikimedia.org/r/481339

Thanks @mobrovac for merging of this fix and fast respond!

Thank you for noticing the typo. Appreciated.

Urbanecm triaged this task as Low priority.Jan 1 2019, 1:03 AM

Change 481335 merged by Dzahn:
[operations/dns@master] langlist: Add hyw

https://gerrit.wikimedia.org/r/481335

Dzahn added a subscriber: Dzahn.Jan 2 2019, 4:31 PM

Since T97051 has been resolved recently this has been added just by doing the merge above and did not need the manual commands anymore it needed in the past :)

http://hyw.wikipedia.org/

Change 481943 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] [WIP] Initial configuration for hyw.wikipedia (1/2)

https://gerrit.wikimedia.org/r/481943

Change 481945 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Initial configuration for hyw.wikipedia (2/2)

https://gerrit.wikimedia.org/r/481945

Change 481945 abandoned by MarcoAurelio:
Initial configuration for hyw.wikipedia (2/2)

Reason:
Merging to the first patch so the PHPUnit tests do not fail.

https://gerrit.wikimedia.org/r/481945

I was told addWiki.php is broken at this moment, so it can take a while until this (and the other pending wiki creations) are handled.

When will addWiki.php be fixed?

I was told addWiki.php is broken at this moment, so it can take a while until this (and the other pending wiki creations) are handled.

@MarcoAurelio Hey, who told you that? and what is the phabricator for its being broken?

Hello @Ladsgroup. It was @Reedy and @Jdforrester-WMF if I remember rightly. And there's T212881: addWiki.php broken creating ES tables documenting the issue, which was discovered when Sam was creating the test-commons project. Regards.

I wish someone had pinged me. A lot of people have been wondering what has taken so long for this project (and Neapolitan Wikisource, T210752 , as far as it goes). I'll let the communities know.

Koavf added a subscriber: Koavf.Mar 13 2019, 10:33 PM
Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.
Ladsgroup claimed this task.EditedMar 26 2019, 10:35 AM

I literally dreamed of doing this last night. I will do it.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 26 2019, 10:35 AM

Change 481943 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Initial configuration for hyw.wikipedia

https://gerrit.wikimedia.org/r/481943

Change 481943 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for hyw.wikipedia

https://gerrit.wikimedia.org/r/481943

Change 499464 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add hywwiki to wikiversions.json

https://gerrit.wikimedia.org/r/499464

Change 499464 merged by jenkins-bot:
[operations/mediawiki-config@master] Add hywwiki to wikiversions.json

https://gerrit.wikimedia.org/r/499464

I reverted changes as hyw.wikipedia.org redirects to incubator in mwdebug while everything is there. That's worrying. I will double check with @Reedy before moving forward

Change 499673 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[analytics/refinery@master] whitelist: add hyw.wikipedia

https://gerrit.wikimedia.org/r/499673

Change 499748 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add hywwiki to wikiversions.json

https://gerrit.wikimedia.org/r/499748

Change 499748 merged by jenkins-bot:
[operations/mediawiki-config@master] Add hywwiki to wikiversions.json

https://gerrit.wikimedia.org/r/499748

Mentioned in SAL (#wikimedia-operations) [2019-03-28T11:27:30Z] <ladsgroup@deploy1001> Synchronized dblists: T212597 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-03-28T11:29:38Z] <ladsgroup@deploy1001> rebuilt and synchronized wikiversions files: T212597

Mentioned in SAL (#wikimedia-operations) [2019-03-28T11:51:26Z] <ladsgroup@deploy1001> Synchronized dblists: Revert T212597 (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2019-03-28T11:53:09Z] <ladsgroup@deploy1001> rebuilt and synchronized wikiversions files: Revert T212597

This failed majestically again, apparently x1 is not happy. These are logs:

ExternalStoreDB::fetchBlob master failed to find cluster25/1498395
Error connecting to 10.64.0.108: Unknown database 'hywwiki'
[XJyyxgpAAEUAAIHGHFoAAADG] /wiki/%D4%B3%D5%AC%D5%AD%D5%A1%D6%82%D5%B8%D6%80_%D5%A7%D5%BB   ErrorException from line 309 of /srv/mediawiki/php-1.33.0-wmf.22/includes/debug/MWDebug.php: PHP Warning: MediaWiki\Storage\SqlBlobStore::fetchBlob: Bad data in text row 1. [Called from MediaWiki\Storage\SqlBlobStore::fetchBlob in /srv/mediawiki/php-1.33.0-wmf.22/includes/Storage/SqlBlobStore.php at line 353]
[XJyyxgpAAEUAAIHGHFoAAADG] /wiki/%D4%B3%D5%AC%D5%AD%D5%A1%D6%82%D5%B8%D6%80_%D5%A7%D5%BB   MediaWiki\Revision\RevisionAccessException from line 1465 of /srv/mediawiki/php-1.33.0-wmf.22/includes/Revision/RevisionStore.php: Failed to load data blob from tt:1: Failed to load blob from address tt:1
[XJyyxgpAAEUAAIHGHFoAAADG] /wiki/%D4%B3%D5%AC%D5%AD%D5%A1%D6%82%D5%B8%D6%80_%D5%A7%D5%BB   ErrorException from line 309 of /srv/mediawiki/php-1.33.0-wmf.22/includes/debug/MWDebug.php: PHP Warning: MediaWiki\Storage\SqlBlobStore::fetchBlob: Bad data in text row 1. [Called from MediaWiki\Storage\SqlBlobStore::fetchBlob in /srv/mediawiki/php-1.33.0-wmf.22/includes/Storage/SqlBlobStore.php at line 353]

Change 500190 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Reinstate "Initial configuration for hyw.wikipedia", take 3

https://gerrit.wikimedia.org/r/500190

Change 500190 merged by jenkins-bot:
[operations/mediawiki-config@master] Reinstate "Initial configuration for hyw.wikipedia", take 3

https://gerrit.wikimedia.org/r/500190

Change 500454 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add hywwiki to wikiversions.json

https://gerrit.wikimedia.org/r/500454

Change 500454 merged by jenkins-bot:
[operations/mediawiki-config@master] Add hywwiki to wikiversions.json

https://gerrit.wikimedia.org/r/500454

Mentioned in SAL (#wikimedia-operations) [2019-04-01T14:33:52Z] <ladsgroup@deploy1001> Synchronized multiversion/MWMultiVersion.php: T212597 (duration: 00m 51s)

Change 499673 abandoned by MarcoAurelio:
whitelist: add hyw.wikipedia

Reason:
Duplicate: Change-Id: I6ce2709a62630d0a0f0f1a48bddade12e3db44b1

https://gerrit.wikimedia.org/r/499673

Change 500743 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/services/parsoid@master] Update lib/config/wmf.sitematrix.json

https://gerrit.wikimedia.org/r/500743

Change 500743 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update lib/config/wmf.sitematrix.json

https://gerrit.wikimedia.org/r/500743

Urbanecm added a subscriber: Urbanecm.

Are there any follow-ups that need to be done? The wiki seems to be active.

Ladsgroup closed this task as Resolved.Apr 14 2019, 2:11 PM

Are there any follow-ups that need to be done?

Nope

Change 505458 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [L10N] Add new Western Armenian site "hyw" to wikipedia_family.py

https://gerrit.wikimedia.org/r/505458

Change 505458 merged by jenkins-bot:
[pywikibot/core@master] [L10N] Add new Western Armenian site "hyw" to wikipedia_family.py

https://gerrit.wikimedia.org/r/505458

Meno25 removed a subscriber: Meno25.Apr 30 2019, 1:08 PM